Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Compass / Reference / Compass Operations API

Maintenances

Postman Collection
OpenAPI
GET

List global maintenancesExperimental

This endpoint is used to retrieve a list of maintenance that have been created within your organization's account in Compass system. It optionally takes three parameters - offset, size and type.

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

type

string

offset

integer

size

integer

Responses

Returned if the request is successful.

application/json

object
GET/v1/maintenances
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/maintenances' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 { "values": [ { "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] } ], "links": { "next": "/v1/maintenances?offset=50&size=25" } }
POST

Create global maintenanceExperimental

This endpoint is used to create a new maintenance which applies rules to all teams across your organization in Compass. The maintenance plan can include various rules that enable or disable multiple entities like policies, integrations or syncs. Please note that integrations and syncs cannot be enabled via a maintenance plan but policies can.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

description

MaintenanceDescription

startDate

StartDate

endDate

EndDate

rules

array<MaintenanceRule>

Required

Responses

Returned if the request is successful.

application/json

GetGlobalMaintenance
POST/v1/maintenances
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/maintenances' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }
GET

Get global maintenanceExperimental

Gets an account based global maintenance with given id in the request.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful.

application/json

GetGlobalMaintenance
GET/v1/maintenances/{id}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/maintenances/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }
DEL

Deletes global maintenanceExperimental

This request is used to delete a global maintenance.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful.

DEL/v1/maintenances/{id}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/maintenances/{id}' \ --user 'email@example.com:<api_token>'
PATCH

Update global maintenanceExperimental

This endpoint is used to update a global maintenance in Compass.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Request bodyapplication/json

description

MaintenanceDescription

startDate

StartDate

endDate

EndDate

rules

array<MaintenanceRule>

Responses

Returned if the request is successful.

application/json

GetGlobalMaintenance
PATCH/v1/maintenances/{id}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 curl --request PATCH \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/maintenances/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }
POST

Cancel global maintenanceExperimental

This endpoint is used to stop an ongoing maintenance plan early. The functionality allows you to end the maintenance plan before the initially set end time.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

string

Required

Responses

Returned if the request is successful.

application/json

GetGlobalMaintenance
POST/v1/maintenances/{id}/cancel
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/maintenances/{id}/cancel' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 { "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }
GET

List team maintenancesExperimental

This endpoint is used to retrieve a list of maintenance associated with a specific team in Compass system. It optionally takes three parameters - offset, size and type.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

teamId

string

Required

Query parameters

type

string

offset

integer

size

integer

Responses

Returned if the request is successful.

application/json

object
GET/v1/teams/{teamId}/maintenances
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/maintenances' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 { "values": [ { "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:39.501Z", "endDate": "2023-12-11T11:42:39.501Z", "rules": [ { "entity": { "id": "258bec1f-bae6-4190-bcc6-56c42990131c", "type": "policy" }, "state": "enabled" } ], "teamId": "77b933c9-92bb-46e7-a73c-764b8d7c3c25" } ], "links": { "next": "/v1/teams/77b933c9-92bb-46e7-a73c-764b8d7c3c25/maintenances?offset=50&size=25" } }
POST

Create team maintenanceExperimental

This endpoint is used to create a new maintenance for a specific team in Compass. The maintenance plan can include various rules that enable or disable multiple entities like policies, integrations or syncs. Please note that integrations and syncs cannot be enabled via a maintenance plan but policies can.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

teamId

string

Required

Request bodyapplication/json

description

MaintenanceDescription

startDate

StartDate

endDate

EndDate

rules

array<MaintenanceRule>

Required

Responses

Returned if the request is successful and a new maintenance has been created.

application/json

GetTeamMaintenance
POST/v1/teams/{teamId}/maintenances
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/maintenances' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }'
201Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 { "teamId": "77b933c9-92bb-46e7-a73c-764b8d7c3c25", "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }
GET

Get team maintenanceExperimental

This request is used to retrieve a specific maintenance of a specific team.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

teamId

string

Required
id

string

Required

Responses

Returned if the request is successful.

application/json

GetTeamMaintenance
GET/v1/teams/{teamId}/maintenances/{id}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/maintenances/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 { "teamId": "77b933c9-92bb-46e7-a73c-764b8d7c3c25", "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }
DEL

Delete team maintenanceExperimental

Deletes a maintenance with given id in the request.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

teamId

string

Required
id

string

Required

Responses

Returned if the request is successful.

DEL/v1/teams/{teamId}/maintenances/{id}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/maintenances/{id}' \ --user 'email@example.com:<api_token>'
PATCH

Update team maintenanceExperimental

Updates a team maintenance with given id in the request.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

teamId

string

Required
id

string

Required

Request bodyapplication/json

description

MaintenanceDescription

startDate

StartDate

endDate

EndDate

rules

array<MaintenanceRule>

Responses

Returned if the request is successful.

application/json

GetTeamMaintenance
PATCH/v1/teams/{teamId}/maintenances/{id}
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 curl --request PATCH \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/maintenances/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 { "teamId": "77b933c9-92bb-46e7-a73c-764b8d7c3c25", "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }
POST

Cancel team maintenanceExperimental

This endpoint is used to stop an ongoing maintenance plan of a specific team early. The functionality allows you to end the maintenance period before the initially set end time.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

teamId

string

Required
id

string

Required

Responses

Returned if the request is successful.

application/json

GetTeamMaintenance
POST/v1/teams/{teamId}/maintenances/{id}/cancel
1 2 3 4 curl --request POST \ --url 'https://api.atlassian.com/compass/cloud/{cloudId}/ops/v1/teams/{teamId}/maintenances/{id}/cancel' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 { "teamId": "77b933c9-92bb-46e7-a73c-764b8d7c3c25", "id": "0762db96-f795-4246-90be-edd295af8fca", "status": "cancelled", "description": "Maintenance Plan", "startDate": "2023-12-11T11:37:40.501Z", "endDate": "2023-12-11T11:42:40.501Z", "rules": [ { "state": "disabled", "entity": { "id": "51e9e162-767b-47a6-a00a-4cd8b6f94829", "type": "integration" } } ] }

Rate this page: